U++ - Bug #1805

Core: The Clang 3.4 compiler supports std::decay_t template with using -std=c++1y and C++14
capable library

11/08/2017 12:12 AM - Sender Ghost

Status: Rejected Start date: 11/08/2017
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Core Estimated time: 0.00 hour
Target version: Release 2017.2 Spent time: 0.00 hour
Description

The 11438 revision added restrictions for Clang 3.4 compiler in uppsrc/Core/CoWork.h file.
| propose to remove such restriction and take informative approach instead, because possible to use other -std value (e.g. -std=c++11)
for more modern compiler with the same "not compiled" effect.

Some links for reference:

http://clang.llvm.org/cxx_status.html#cxx14
https://github.com/llvm-mirror/libcxx/blob/c3f25abd635423dcaad2efc4db13ab5264e8393c¢/include/ _config#L916-L926
https://github.com/llvm-mirror/libcxx/blob/f2c4a96359e4cbf7fa575f27d7e94248e5{d84b8/include/type traits#L1308-L1310

History

#1 - 11/08/2017 12:52 AM - Sender Ghost

This was tested on FreeBSD 10.3 amd64 and Clang 3.4.1 in base (with using -std=c++1y instead of -std=c++14) for example in
tutorial/CoreTutorial/Async.cpp:
https://github.com/ultimatepp/mirror/blob/3231859d0295b96ee2ce53ee00578d6227ba7279/tutorial/Core T utorial/Async.cpp

with following results:

a.Get() = 9.33262154439441e157
Exception has been caught
Work was canceled

Some links for reference:

https://github.com/freebsd/freebsd/blob/releng/10.3/contrib/libc%2B%2B/include/ _config#L678-L686
https://github.com/freebsd/freebsd/blob/releng/10.3/contrib/libc%2B%2B/include/type _traits#L772-L774
https://github.com/freebsd/freebsd/blob/releng/10.3/contrib/llvm/tools/clang/lib/Frontend/InitPreprocessor.cpp#L318-L320

https://github.com/freebsd/freebsd/blob/3678f64ad386927abc67f2fa9c29e9d84 1865db8/contrib/libc%2B%2B/include/ _config#L678-L686
https:/github.com/freebsd/freebsd/blob/511fc2e53ec0c25a92e2d1a47a46821b30ee2b6d/contrib/libc%2B%2B/include/type_traits#L772-L774
https://github.com/freebsd/freebsd/blob/9cedb8bb69b89b0f0c529937247a6a80cabdbaec/contrib/livm/tools/clang/lib/Frontend/InitPreprocessor.cpp#L31

-L320

#2 - 11/08/2017 01:51 AM - Sender Ghost
- Subject changed from Core: The Clang 3.4 compiler supports decay _t template with using -std=c++1y and C++14 capable library to Core: The Clang
3.4 compiler supports std::decay t template with using -std=c++1y and C++14 capable library

#3 - 11/08/2017 01:53 AM - Sender Ghost

- Assignee set to Miroslav Fidler
https://github.com/ultimatepp/mirror/commit/eaf0af02668d290759436a031b4d21ffb741e5f2
https://github.com/ultimatepp/mirror/blob/eaf0af02668d290759436a031b4d21ffb741e5f2/uppsrc/Core/CoWork.h#L158
http://clang.llvm.org/cxx_status.html#cxx14
https://github.com/llvm-mirror/libcxx/blob/c3f25abd635423dcaad2efc4db13ab5264e8393c/include/__config#L916-L926
https://github.com/llvm-mirror/libcxx/blob/f2c4a96359e4cbf7fa575f27d7e94248e5fd84b8/include/type_traits#L1308-L1310
https://github.com/ultimatepp/mirror/blob/3231859d0295b96ee2ce53ee00578d6227ba7279/tutorial/CoreTutorial/Async.cpp
https://github.com/freebsd/freebsd/blob/releng/10.3/contrib/libc%2B%2B/include/__config#L678-L686
https://github.com/freebsd/freebsd/blob/releng/10.3/contrib/libc%2B%2B/include/type_traits#L772-L774
https://github.com/freebsd/freebsd/blob/releng/10.3/contrib/llvm/tools/clang/lib/Frontend/InitPreprocessor.cpp#L318-L320
https://github.com/freebsd/freebsd/blob/3678f64ad386927abc67f2fa9c29e9d841865db8/contrib/libc%2B%2B/include/__config#L678-L686
https://github.com/freebsd/freebsd/blob/511fc2e53ec0c25a92e2d1a47a46821b30ee2b6d/contrib/libc%2B%2B/include/type_traits#L772-L774
https://github.com/freebsd/freebsd/blob/9cedb8bb69b89b0f0c529937247a6a80cabdbaec/contrib/llvm/tools/clang/lib/Frontend/InitPreprocessor.cpp#L318-L320
https://github.com/freebsd/freebsd/blob/9cedb8bb69b89b0f0c529937247a6a80cabdbaec/contrib/llvm/tools/clang/lib/Frontend/InitPreprocessor.cpp#L318-L320

#4 - 11/12/2017 08:01 AM - Sender Ghost
- Status changed from New to Rejected
- Assignee deleted (Miroslav Fidler)

This issue rejected, because Async was rewritten in C++11 (in 11446 revision).

#5 - 11/12/2017 02:33 PM - Zbigniew Rebacz
- Target version set to Release 2017.2
